#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-2 hidden-mobile">
        #{include '/pl/filter-cms.html'/}
        </div>

        <div class="row">
            <div class="col-md-10">
                <!-- Toolbar -->
                <div class="toolbar">
                    <a href="@{create()}" class="btn btn-primary btn-md"><i class="fa fa-plus"></i> &{'tambah.label'} &{'unduh.label'}</a>
                </div>
                <!-- End Toolbar -->

                #{alert /}
                <div class="panel panel-default">
                    <div class="panel-body hidden-mobile" style="overflow-x:auto;">
                        <!-- Data Table -->
                        <table class="table table-striped" id="tblUnduh">
                            <thead>
                            <tr>
                                <th>&{'nomor.label'}</th>
                                <th>&{'kategori.label'}</th>
                                <th>&{'judul.label'}</th>
                                <th>&{'file_nama.label'}</th>
                                <th>&{'file_ukuran.label'}</th>
                                <th>&{'status.label'}</th>
                                <th>&{'aktif.label'}</th>
                                <th>&{'tanggal_publikasi.label'}</th>
                                *{<th>&{'tautan.label'}</th>}*
                                <th></th>
                            </tr>
                            </thead>
                        </table>
                        <!-- End Data Table -->
                    </div>
                    <div class="panel-body only-mobile" style="overflow-x:auto;">
                        <!-- Data Table -->
                        <table class="table table-striped" id="tblUnduhMobile">
                            <thead>
                            <tr>
                                <th>&{'nomor.label'}</th>
                                <th>&{'kategori.label'}</th>
                                <th>&{'judul.label'}</th>
                                <th>&{'file_nama.label'}</th>
                                <th>&{'file_ukuran.label'}</th>
                                <th>&{'status.label'}</th>
                                <th>&{'aktif.label'}</th>
                                <th>&{'tanggal_publikasi.label'}</th>
                                *{<th>&{'tautan.label'}</th>}*
                                <th></th>
                            </tr>
                            </thead>
                        </table>
                        <!-- End Data Table -->
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="btn-footer">
        <div class="row">
            <div class="col-xs-12">
                <a href="#" onclick="showSidebar()">Filter</a>
            </div>
        </div>
    </div>
    <div class="faq" id="mobile-sidebar">
        <div class="mobile-navigation-bar">
            <a href="#" onclick="closeSidebar()">
                <i class="fa fa-arrow-circle-left"></i> &{'unduh.label'}
            </a>
        </div>
        <div class="container-fluid">
            <div class="row">
                <div class="col-xs-12 col-sm-12">
                    #{include '/pl/filter-cms.html'/}
                </div>
            </div>
        </div>
    </div>
</div>

#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function(){
        $("#tblUnduh").dataTable({
            "searching": false,
            ajax : {
                url : "@{DataTableCtr.cariUnduh()}",
                data: function (d) {
                    d["keyword"] = $(".hidden-mobile #keyword").val();
                    d["kategori_id"] = $(".hidden-mobile #kategori").val();
                    d["status"]= $(".hidden-mobile #status").val();
                    d["aktif"] = $(".hidden-mobile #aktif").val();
                },
                cache : true
            },
            order : [0, "desc"],
            columns :
            [
                {
                    "searchable" : false, "className": "header-center",
                    render : function (data, type, row, meta) {
                        return meta.row + meta.settings._iDisplayStart + 1 + ".";
                    }
                },
                {"searchable" : false, orderable : false},
                {"searchable" : false, orderable : false},
                {"searchable" : false, orderable : false},
                {"searchable" : false, orderable : false, "className": "header-center"},
                {"searchable" : false, orderable : false},
                {"searchable" : false, orderable : false},
                {"searchable" : false, orderable : false, "className": "header-center"},
//                {"searchable" : false},
                {"searchable" : false, orderable : false, "className": "header-center"}
            ]
        });
        $("#tblUnduhMobile").dataTable({
            "searching": false,
            ajax : {
                url : "@{DataTableCtr.cariUnduh()}",
                data: function (d) {
                    d["keyword"] = $("#mobile-sidebar #keyword").val();
                    d["kategori_id"] = $("#mobile-sidebar #kategori").val();
                    d["status"]= $("#mobile-sidebar #status").val();
                    d["aktif"] = $("#mobile-sidebar #aktif").val();
                },
                cache : true
            },
            order : [0, "desc"],
            columns :
                [
                    {
                        "searchable" : false, "className": "header-center",
                        render : function (data, type, row, meta) {
                            return meta.row + meta.settings._iDisplayStart + 1 + ".";
                        }
                    },
                    {"searchable" : false, orderable : false},
                    {"searchable" : false, orderable : false},
                    {"searchable" : false, orderable : false},
                    {"searchable" : false, orderable : false, "className": "header-center"},
                    {"searchable" : false, orderable : false},
                    {"searchable" : false, orderable : false},
                    {"searchable" : false, orderable : false, "className": "header-center"},
//                {"searchable" : false},
                {"searchable" : false, orderable : false, "className": "header-center"}
            ]
        });
    });

    $(".hidden-mobile #submitBtn").on("click", function(){
        $("#tblUnduh").DataTable().order(JSON.parse($('.hidden-mobile #order').val())).draw();
    });
    $("#mobile-sidebar #submitBtn").on("click", function(){
        $("#tblUnduhMobile").DataTable().order(JSON.parse($('#mobile-sidebar #order').val())).draw();
        closeSidebar();
    });
    $('.hidden-mobile #keyword').keypress(function(event){
        var keycode = event.keyCode || event.which;
        if(keycode == '13') {
            $('.hidden-mobile #submitBtn').click();
            return false;
        }
        return;
    });
    $('#mobile-sidebar #keyword').keypress(function(event){
        var keycode = event.keyCode || event.which;
        if(keycode == '13') {
            $('#mobile-sidebar #submitBtn').click();
            closeSidebar();
            return false;
        }
        return;
    });
</script>
#{/set}